package com.lc.day05.fz08;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/11/28 15:22
 * @Version 1.0
 */
public class Person {
    //成员变量私有化
    // 第一步 用 private  修饰 除本类  其他位置不可以访问。
    // 控制属性
    private String name;

    private int age; //年龄 赋值 -1 获取 是大于 150.

//    public Person() {
//    }
    //私有化 构造 不让其他 类直接 创建 当前对象。
    private Person() {
    }

    public Person(String name, int age) {

        //校验 验证
        checkAge(age);

        this.name = name;
        this.age = age;
    }

    //提供方法方式
    public void  setName( String name ){
        this.name = name;
    }

    public String  getName( ){
        return name;
    }

    public void setAge(int a){
        //健壮性
        //验证逻辑
        checkAge(a);
    }

    public int getAge(){
        return age;
    }


    @Override
    public String toString() {
        return "Person{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }


    //在类内部 重复调用的 代码 抽取成 私有方法
    private void checkAge( int age )  {
        if ( age > 0 && age < 150){
            age = age;
        }else{
            //System.out.println("错误提示 年龄不符合");
            //抛出异常
            try {
                throw new Exception("错误提示 年龄不符合");
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
        }
    }
}
