package com.lc.day.coll01;

import java.net.SocketTimeoutException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.function.Predicate;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/13 15:48
 * @Version 1.0
 */
public class Test01 {

    /*
    * `public boolean add(E e)`：  把给定的对象添加到当前集合中 。
    * `public void clear()` :清空集合中所有的元素。
    * `public boolean remove(E e)`: 把给定的对象在当前集合中删除。
    * `public boolean contains(Object obj)`: 判断当前集合中是否包含给定的对象。
    * `public boolean isEmpty()`: 判断当前集合是否为空。
    * `public int size()`: 返回集合中元素的个数。
    * `public Object[] toArray()`: 把集合中的元素，存储到数组中

    - default boolean removeIf(Predicate<? super E> filter) 删除此集合中满足给定谓词的所有元素。
     */
    public static void main(String[] args) {
        //Collection 单列集合
        Collection<Integer> coll = new ArrayList<>();

        coll.add(1);
        coll.add(2);
        coll.add(3);
        coll.add(3);
        coll.add(4);

        //清空
        coll.clear();

        coll.add(1);
        coll.add(2);
        coll.add(3);
        coll.add(3);
        coll.add(4);

        //删除
        boolean remove1 = coll.remove(3);
        boolean remove2 = coll.remove(3);
        boolean remove3 = coll.remove(3);
        System.out.println(remove1);
        System.out.println(remove2);
        System.out.println(remove3);

        //存在
        boolean contains = coll.contains(4);
        System.out.println(contains);

        //isEmpty
        boolean empty = coll.isEmpty();
        System.out.println(empty);

        //size
        int size = coll.size();
        System.out.println(size);

        //toArray
        Object[] array = coll.toArray();

        System.out.println(array);

        System.out.println(coll);


        //removeIf
        coll.removeIf(new Predicate<Integer>() {
            @Override
            public boolean test(Integer integer) {

                //true删掉
                return false;
            }
        });

        System.out.println(coll);


    }
}
