package com.lc.daystring.date05;

import java.time.*;
import java.time.temporal.TemporalAdjuster;
import java.time.temporal.TemporalAdjusters;
import java.util.Set;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/11 16:02
 * @Version 1.0
 */
public class Test02 {

    public static void main(String[] args) {
        LocalDateTime localDateTime1 = LocalDateTime.now();
        LocalDateTime localDateTime2 = LocalDateTime.of(2022,11,11,0,0,0);

        // 0 - 100
        Duration duration = Duration.between(localDateTime1, localDateTime2);
        long days = duration.toDays();
        System.out.println("相差天数"+ days);

        long seconds = duration.getSeconds();
        System.out.println(seconds);

        LocalDate now1 = LocalDate.now();
        LocalDate now2 = LocalDate.of(2022,10,10);

        Period period = Period.between(now2, now1);

        //月份和 年份差值
        int months = period.getMonths();
        int periodYears = period.getYears();

        System.out.println(months);
        System.out.println(periodYears);

//        注意：Duration 日期时间类 不能给日期类
//        LocalDate now3 = LocalDate.now();
//        LocalDate now4 = LocalDate.of(2022,10,10);
//
//        Duration between = Duration.between(now3, now4);
//
//        long days1 = between.toDays();
//        long hours = between.toHours();
//        System.out.println("hours"+hours);
//        System.out.println("days1"+days1);


        // TemporalAdjuster:时间校正器
        // 获取当前日期的下一个周日是哪天？
        TemporalAdjuster temporalAdjuster = TemporalAdjusters.next(DayOfWeek.WEDNESDAY);
        LocalDateTime localDateTime = LocalDateTime.now().with(temporalAdjuster);
        System.out.println(localDateTime);

    }
}
